id
| string | Tremendous ID of the reward |
order_id
| string | Tremendous ID of the order this reward is part of. |
created_at
| string date-time | Date the reward was created |
expires_at
| string date-time | Expiration date of the reward. If null, the reward does not expire. |
campaign_id
| string | ID of the campaign in your account, that defines the available products (different gift cards, charity, etc.)
that the recipient can choose from. |
products
| array string | List of IDs of product (different gift cards, charity, etc.) that will be available
to the recipient to choose from. Providing a products array will override the products made available by the campaign
specified using the campaign_id property unless the products array is empty. It will
not override other campaign attributes, like the message and customization of the look and feel. |
value
| object | |
|
Show object properties
| Property |
Type |
Description |
denomination
| number double | Amount of the reward |
currency_code
| string | Currency of the reward. Defaults to the organization's currency if not provided. |
|
recipient
| object | Details of the recipient of the reward |
|
Show object properties
| Property |
Type |
Description |
name
| string | Name of the recipient |
email
| string | Email address of the recipient |
phone
| string | Phone number of the recipient. For non-US phone numbers, specify the country code (prefixed with +). |
|
deliver_at
| string date | Date of reward delivery, within the next year. The reward is delivered at 12pm in your organization's time zone on that date, or at 12pm Eastern Time when the organization has no time zone set. Note that if date-time is provided, the time values will be ignored. |
custom_fields
| array | |
|
Show array item type
| Property |
Type |
Description |
id
| string | Tremendous ID of the custom field |
value
| string | Value of the custom field |
label
| string | Label of the custom field |
|
delivery
| object | Details on how the reward is delivered to the recipient. |
|
Show object properties
| Property |
Type |
Description |
method
| string | How to deliver the reward to the recipient.
| Delivery Method |
Description |
EMAIL |
Deliver the reward to the recipient by email |
LINK |
Deliver the reward to the recipient via a link.
The initial POST /orders response for a link reward includes the link in delivery.link.
The link must then be delivered to the recipient out-of-band.
To obtain a new link for an existing reward, call POST /rewards/{id}/generate_link.
|
PHONE |
Deliver the reward to the recipient by SMS |
|
status
| string | Current status of the delivery of the reward:
SCHEDULED - Reward is scheduled for delivery and will be delivered soon.
FAILED - Delivery of reward failed (e.g. email bounced).
SUCCEEDED - Reward was successfully delivered (email or text message delivered or reward link active).
PENDING - Delivery is pending but not yet scheduled.
|
|